AppdefInventorySummary (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.AppdefInventorySummary class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class AppdefInventorySummary

    java.lang.Object
      org.hyperic.hq.appdef.shared.AppdefInventorySummary

All Implemented Interfaces:
  java.io.Serializable

    public class AppdefInventorySummary

extends java.lang.Object
implements java.io.Serializable

This class is meant to represent the resource inventory summary for a given user. It is used primarily by the dashboard resource summary portlet.

See Also:
  Serialized Form

Field Summary
`static int` | `COUNT_UNKNOWN`

Constructor Summary
`AppdefInventorySummary(AuthzSubject user)`
`AppdefInventorySummary(AuthzSubject user, boolean countTypes)`

Method Summary
`int` | `getApplicationCount()`
`java.util.Map` | `getAppTypeMap()`
`int` | `getClusterCount()`
`int` | `getCompatGroupCount()`
`int` | `getGroupCountAdhocApp()`
`int` | `getGroupCountAdhocGroup()`
`int` | `getGroupCountAdhocPSS()`
`int` | `getPlatformCount()`
`java.util.Map` | `getPlatformTypeMap()`
`java.util.List` | `getPlatformTypes()` XXX begin unimplemented stuff!
`int` | `getServerCount()`
`java.util.Map` | `getServerTypeMap()`
`java.util.List` | `getServerTypes()`
`int` | `getServiceCount()`
`java.util.Map` | `getServiceTypeMap()`
`java.util.List` | `getServiceTypes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COUNT_UNKNOWN

    public static int COUNT_UNKNOWN

Constructor Detail

### AppdefInventorySummary

    public AppdefInventorySummary(AuthzSubject user)

### AppdefInventorySummary

    public AppdefInventorySummary(AuthzSubject user,
                                  boolean countTypes)

Method Detail

### getPlatformCount

    public int getPlatformCount()

  Returns:
    the total number of viewable platforms

### getCompatGroupCount

    public int getCompatGroupCount()

  Returns:
    the total compat group count

### getServerCount

    public int getServerCount()

  Returns:
    the total number of viewable servers

### getServiceCount

    public int getServiceCount()

  Returns:
    the total number of viewable services

### getApplicationCount

    public int getApplicationCount()

  Returns:
    the total number of viewable applications

### getClusterCount

    public int getClusterCount()

  Returns:
    the total number of viewable clusters

### getGroupCountAdhocGroup

    public int getGroupCountAdhocGroup()

  Returns:
    the total number of adhoc groups of group

### getGroupCountAdhocPSS

    public int getGroupCountAdhocPSS()

  Returns:
    the total number of adhoc groups of PSS

### getGroupCountAdhocApp

    public int getGroupCountAdhocApp()

  Returns:
    the total number of adhoc groups of App

### getPlatformTypes

    public java.util.List getPlatformTypes()

  XXX begin unimplemented stuff!

### getServerTypes

    public java.util.List getServerTypes()

### getServiceTypes

    public java.util.List getServiceTypes()

### getPlatformTypeMap

    public java.util.Map getPlatformTypeMap()

  Returns:
    a map whose keys are the type names, values are count of viewable instances of that type

### getServerTypeMap

    public java.util.Map getServerTypeMap()

  Returns:
    a map whose keys are the type names, values are count of viewable instances of that type

### getServiceTypeMap

    public java.util.Map getServiceTypeMap()

  Returns:
    a map whose keys are the type names, values are count of viewable instances of that type

### getAppTypeMap

    public java.util.Map getAppTypeMap()

  Returns:
    a map whose keys are the type names, values are count of viewable instances of that type

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.